curl --request POST \
--url https://api.tensormesh.ai/v1/admin/users/change_role \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "<string>",
"targetUserId": "<string>",
"targetUserRole": "USER_ROLE_UNSPECIFIED"
}
'{
"user": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"displayName": "<string>",
"userEmail": "<string>",
"authProvider": "AUTH_PROVIDER_UNSPECIFIED",
"authProviderId": "<string>",
"avatarUrl": "<string>",
"stripeCusId": "<string>",
"userRole": "USER_ROLE_UNSPECIFIED",
"apiKey": "<string>",
"company": "<string>",
"tosAcceptedAt": "2023-11-07T05:31:56Z",
"surveyCompletedAt": "2023-11-07T05:31:56Z"
}
}Updates a user’s role.
curl --request POST \
--url https://api.tensormesh.ai/v1/admin/users/change_role \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "<string>",
"targetUserId": "<string>",
"targetUserRole": "USER_ROLE_UNSPECIFIED"
}
'{
"user": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"displayName": "<string>",
"userEmail": "<string>",
"authProvider": "AUTH_PROVIDER_UNSPECIFIED",
"authProviderId": "<string>",
"avatarUrl": "<string>",
"stripeCusId": "<string>",
"userRole": "USER_ROLE_UNSPECIFIED",
"apiKey": "<string>",
"company": "<string>",
"tosAcceptedAt": "2023-11-07T05:31:56Z",
"surveyCompletedAt": "2023-11-07T05:31:56Z"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.tensormesh.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication using an access token. Format: Bearer <access_token>
ChangeUserRoleRequest is the request for updating a user's role.
The unique ID of the operator user.
The unique ID of the user to update.
UserRole defines the roles a user can have within the system.
USER_ROLE_UNSPECIFIED, USER_ROLE_USER, USER_ROLE_ADMIN, USER_ROLE_SUPER_ADMIN A successful response.
ChangeUserRoleResponse is the response for updating a user's role.
User represents a user profile in the system.
Show child attributes
Was this page helpful?